# Uses of Interface
org.opensaml.saml.saml2.metadata.KeyDescriptor

Packages that use KeyDescriptor
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.

## Uses of KeyDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type KeyDescriptor
Modifier and Type
Method
Description
`List<KeyDescriptor>`
AffiliationDescriptor.`getKeyDescriptors()`
Gets a list of KeyDescriptors for this affiliation.
`List<KeyDescriptor>`
RoleDescriptor.`getKeyDescriptors()`
Gets the key descriptors for this role.

## Uses of KeyDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement KeyDescriptor
Modifier and Type
Class
Description
`class`
`KeyDescriptorImpl`
Concrete implementation of `KeyDescriptor`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type KeyDescriptor
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<KeyDescriptor>`
AffiliationDescriptorImpl.`keyDescriptors`
Key descriptors for this role.
`private final XMLObjectChildrenList<KeyDescriptor>`
RoleDescriptorImpl.`keyDescriptors`
Key descriptors for this role.
`private RoleDescriptorXSAnyAdapter.MutableChildrenList<KeyDescriptor>`
RoleDescriptorXSAnyAdapter.`keyDescriptors`
KeyDescriptor children.
Methods in org.opensaml.saml.saml2.metadata.impl that return KeyDescriptor
Modifier and Type
Method
Description
`KeyDescriptor`
KeyDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`KeyDescriptor`
KeyDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type KeyDescriptor
Modifier and Type
Method
Description
`List<KeyDescriptor>`
AffiliationDescriptorImpl.`getKeyDescriptors()`
Gets a list of KeyDescriptors for this affiliation.
`List<KeyDescriptor>`
RoleDescriptorImpl.`getKeyDescriptors()`
Gets the key descriptors for this role.
`List<KeyDescriptor>`
RoleDescriptorXSAnyAdapter.`getKeyDescriptors()`
Gets the key descriptors for this role.

## Uses of KeyDescriptor in org.opensaml.saml.security.impl

Fields in org.opensaml.saml.security.impl declared as KeyDescriptor
Modifier and Type
Field
Description
`private KeyDescriptor`
SAMLMDCredentialContext.`keyDescriptor`
Key descriptor which contained the KeyInfo used.
Methods in org.opensaml.saml.security.impl that return KeyDescriptor
Modifier and Type
Method
Description
`KeyDescriptor`
SAMLMDCredentialContext.`getKeyDescriptor()`
Get the key descriptor context.
Methods in org.opensaml.saml.security.impl with parameters of type KeyDescriptor
Modifier and Type
Method
Description
`protected void`
MetadataCredentialResolver.`extractCredentials(Collection<Credential> accumulator, KeyDescriptor keyDescriptor, String entityID, UsageType mdUsage)`
Extract the credentials from the specified KeyDescriptor.
Constructors in org.opensaml.saml.security.impl with parameters of type KeyDescriptor
Modifier
Constructor
Description
``
`SAMLMDCredentialContext(KeyDescriptor descriptor)`
Constructor.